net.sourceforge.pmd.processor

## Class MultiThreadProcessor

- java.lang.Object
- - net.sourceforge.pmd.processor.AbstractPMDProcessor
  - - net.sourceforge.pmd.processor.MultiThreadProcessor

-     public class MultiThreadProcessor
      extends AbstractPMDProcessor

  Author:
    Romain Pelisse

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.processor.AbstractPMDProcessor

      `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiThreadProcessor(PMDConfiguration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processFiles(RuleSetFactory ruleSetFactory, List<DataSource> files, RuleContext ctx, List<Renderer> renderers)` Run PMD on a list of files using multiple threads.

    - ### Methods inherited from class net.sourceforge.pmd.processor.AbstractPMDProcessor

      `createRuleSets, filenameFrom, renderReports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiThreadProcessor

          public MultiThreadProcessor(PMDConfiguration configuration)

  - ### Method Detail

    - #### processFiles

          public void processFiles(RuleSetFactory ruleSetFactory,
                          List<DataSource> files,
                          RuleContext ctx,
                          List<Renderer> renderers)

      Run PMD on a list of files using multiple threads.

Copyright © 2002-2013 InfoEther. All Rights Reserved.